Name:           perl-Parse-LocalDistribution
Version:        0.19
Release:        1%{?dist}
Summary:        Parses local .pm files as PAUSE does
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Parse-LocalDistribution/
Source0:        http://www.cpan.org/authors/id/I/IS/ISHIGAKI/Parse-LocalDistribution-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(List::Util)
BuildRequires:  perl(Parse::CPAN::Meta)
BuildRequires:  perl(Parse::PMFile) >= 0.37
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Test::UseAllModules) >= 0.10
Requires:       perl(File::Spec)
Requires:       perl(List::Util)
Requires:       perl(Parse::CPAN::Meta)
Requires:       perl(Parse::PMFile) >= 0.37
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This is a sister module of Parse::PMFile. This module parses local .pm
files (and a META file if any) in a specific (current if not specified)
directory, and returns a hash reference that represents "provides"
information (with some extra meta data). This is almost the same as
Module::Metadata does (which has been in Perl core since Perl 5.13.9). The
main difference is the most of the code of this module is directly taken
from the PAUSE code as of June 2013. If you need better compatibility to
PAUSE, try this. If you need better performance, safety, or portability in
general, Module::Metadata may be a better and handier option (Parse::PMFile
(and thus Parse::LocalDistribution) actually evaluates code in the $VERSION
line (in a Safe compartment), which may be problematic in some cases).

%prep
%setup -q -n Parse-LocalDistribution-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes cpanfile META.json README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Mar 20 2018 Dave Cross <dave@mag-sol.com> 0.19-1
- Specfile autogenerated by cpanspec 1.78.
